/**
 * @typedef Info
 *    Emoji rated for valence.
 * @property {string} name
 *    Name of emoji, according to `wooorm/gemoji`.
 * @property {string} emoji
 *    Unicode emoji.
 * @property {number} polarity
 *    Integer between minus five (negative) and plus five (positive).
 */

/**
 * List of emoji rated for valence.
 *
 * @type {Array<Info>}
 */
export const emojiEmotion = [
  {
    name: '100',
    emoji: '💯',
    polarity: 3
  },
  {
    name: 'angry',
    emoji: '😠',
    polarity: -3
  },
  {
    name: 'anguished',
    emoji: '😧',
    polarity: -3
  },
  {
    name: 'astonished',
    emoji: '😲',
    polarity: 2
  },
  {
    name: 'black_heart',
    emoji: '🖤',
    polarity: 3
  },
  {
    name: 'blue_heart',
    emoji: '💙',
    polarity: 3
  },
  {
    name: 'blush',
    emoji: '😊',
    polarity: 2
  },
  {
    name: 'broken_heart',
    emoji: '💔',
    polarity: -3
  },
  {
    name: 'clap',
    emoji: '👏',
    polarity: 3
  },
  {
    name: 'clown_face',
    emoji: '🤡',
    polarity: 0
  },
  {
    name: 'cold_sweat',
    emoji: '😰',
    polarity: -2
  },
  {
    name: 'confounded',
    emoji: '😖',
    polarity: -2
  },
  {
    name: 'confused',
    emoji: '😕',
    polarity: -2
  },
  {
    name: 'cowboy_hat_face',
    emoji: '🤠',
    polarity: 2
  },
  {
    name: 'crossed_fingers',
    emoji: '🤞',
    polarity: 2
  },
  {
    name: 'cry',
    emoji: '😢',
    polarity: -2
  },
  {
    name: 'crying_cat_face',
    emoji: '😿',
    polarity: -2
  },
  {
    name: 'cupid',
    emoji: '💘',
    polarity: 3
  },
  {
    name: 'disappointed',
    emoji: '😞',
    polarity: -2
  },
  {
    name: 'disappointed_relieved',
    emoji: '😥',
    polarity: -1
  },
  {
    name: 'dizzy_face',
    emoji: '😵',
    polarity: -1
  },
  {
    name: 'drooling_face',
    emoji: '🤤',
    polarity: 0
  },
  {
    name: 'expressionless',
    emoji: '😑',
    polarity: 0
  },
  {
    name: 'face_with_head_bandage',
    emoji: '🤕',
    polarity: -2
  },
  {
    name: 'face_with_thermometer',
    emoji: '🤒',
    polarity: -1
  },
  {
    name: 'fearful',
    emoji: '😨',
    polarity: -2
  },
  {
    name: 'flushed',
    emoji: '😳',
    polarity: -2
  },
  {
    name: 'frowning',
    emoji: '😦',
    polarity: -1
  },
  {
    name: 'frowning_face',
    emoji: '☹️',
    polarity: -2
  },
  {
    name: 'fu',
    emoji: '🖕',
    polarity: -4
  },
  {
    name: 'ghost',
    emoji: '👻',
    polarity: -1
  },
  {
    name: 'gift_heart',
    emoji: '💝',
    polarity: 3
  },
  {
    name: 'green_heart',
    emoji: '💚',
    polarity: 3
  },
  {
    name: 'grimacing',
    emoji: '😬',
    polarity: -2
  },
  {
    name: 'grin',
    emoji: '😁',
    polarity: 2
  },
  {
    name: 'grinning',
    emoji: '😀',
    polarity: 2
  },
  {
    name: 'handshake',
    emoji: '🤝',
    polarity: 1
  },
  {
    name: 'heart',
    emoji: '❤️',
    polarity: 3
  },
  {
    name: 'heart_eyes',
    emoji: '😍',
    polarity: 3
  },
  {
    name: 'heart_eyes_cat',
    emoji: '😻',
    polarity: 3
  },
  {
    name: 'heartbeat',
    emoji: '💓',
    polarity: 3
  },
  {
    name: 'heartpulse',
    emoji: '💗',
    polarity: 3
  },
  {
    name: 'hugs',
    emoji: '🤗',
    polarity: 2
  },
  {
    name: 'hushed',
    emoji: '😯',
    polarity: -1
  },
  {
    name: 'imp',
    emoji: '👿',
    polarity: -4
  },
  {
    name: 'innocent',
    emoji: '😇',
    polarity: 3
  },
  {
    name: 'joy',
    emoji: '😂',
    polarity: 3
  },
  {
    name: 'joy_cat',
    emoji: '😹',
    polarity: 3
  },
  {
    name: 'kiss',
    emoji: '💋',
    polarity: 2
  },
  {
    name: 'kissing',
    emoji: '😗',
    polarity: 2
  },
  {
    name: 'kissing_cat',
    emoji: '😽',
    polarity: 2
  },
  {
    name: 'kissing_closed_eyes',
    emoji: '😚',
    polarity: 2
  },
  {
    name: 'kissing_heart',
    emoji: '😘',
    polarity: 3
  },
  {
    name: 'kissing_smiling_eyes',
    emoji: '😙',
    polarity: 2
  },
  {
    name: 'laughing',
    emoji: '😆',
    polarity: 1
  },
  {
    name: 'lips',
    emoji: '👄',
    polarity: 2
  },
  {
    name: 'lying_face',
    emoji: '🤥',
    polarity: -2
  },
  {
    name: 'mask',
    emoji: '😷',
    polarity: -1
  },
  {
    name: 'money_mouth_face',
    emoji: '🤑',
    polarity: 0
  },
  {
    name: 'nauseated_face',
    emoji: '🤢',
    polarity: -2
  },
  {
    name: 'nerd_face',
    emoji: '🤓',
    polarity: -1
  },
  {
    name: 'neutral_face',
    emoji: '😐',
    polarity: 0
  },
  {
    name: 'no_mouth',
    emoji: '😶',
    polarity: 0
  },
  {
    name: 'ok_hand',
    emoji: '👌',
    polarity: 2
  },
  {
    name: 'open_mouth',
    emoji: '😮',
    polarity: -2
  },
  {
    name: 'pensive',
    emoji: '😔',
    polarity: -1
  },
  {
    name: 'persevere',
    emoji: '😣',
    polarity: -2
  },
  {
    name: 'pouting_cat',
    emoji: '😾',
    polarity: -4
  },
  {
    name: 'pray',
    emoji: '🙏',
    polarity: 1
  },
  {
    name: 'punch',
    emoji: '👊',
    polarity: -1
  },
  {
    name: 'purple_heart',
    emoji: '💜',
    polarity: 3
  },
  {
    name: 'rage',
    emoji: '😡',
    polarity: -4
  },
  {
    name: 'raised_hands',
    emoji: '🙌',
    polarity: 4
  },
  {
    name: 'relaxed',
    emoji: '☺️',
    polarity: 2
  },
  {
    name: 'relieved',
    emoji: '😌',
    polarity: 2
  },
  {
    name: 'revolving_hearts',
    emoji: '💞',
    polarity: 3
  },
  {
    name: 'rofl',
    emoji: '🤣',
    polarity: 4
  },
  {
    name: 'roll_eyes',
    emoji: '🙄',
    polarity: -1
  },
  {
    name: 'scream',
    emoji: '😱',
    polarity: -3
  },
  {
    name: 'scream_cat',
    emoji: '🙀',
    polarity: -3
  },
  {
    name: 'shit',
    emoji: '💩',
    polarity: -3
  },
  {
    name: 'skull',
    emoji: '💀',
    polarity: -2
  },
  {
    name: 'skull_and_crossbones',
    emoji: '☠️',
    polarity: -2
  },
  {
    name: 'sleeping',
    emoji: '😴',
    polarity: 0
  },
  {
    name: 'sleepy',
    emoji: '😪',
    polarity: 0
  },
  {
    name: 'slightly_frowning_face',
    emoji: '🙁',
    polarity: -1
  },
  {
    name: 'slightly_smiling_face',
    emoji: '🙂',
    polarity: 1
  },
  {
    name: 'smile',
    emoji: '😄',
    polarity: 2
  },
  {
    name: 'smile_cat',
    emoji: '😸',
    polarity: 2
  },
  {
    name: 'smiley',
    emoji: '😃',
    polarity: 2
  },
  {
    name: 'smiley_cat',
    emoji: '😺',
    polarity: 2
  },
  {
    name: 'smiling_imp',
    emoji: '😈',
    polarity: -3
  },
  {
    name: 'smirk',
    emoji: '😏',
    polarity: 2
  },
  {
    name: 'smirk_cat',
    emoji: '😼',
    polarity: 2
  },
  {
    name: 'sneezing_face',
    emoji: '🤧',
    polarity: -2
  },
  {
    name: 'sob',
    emoji: '😭',
    polarity: -3
  },
  {
    name: 'sparkling_heart',
    emoji: '💖',
    polarity: 3
  },
  {
    name: 'stuck_out_tongue',
    emoji: '😛',
    polarity: 1
  },
  {
    name: 'stuck_out_tongue_closed_eyes',
    emoji: '😝',
    polarity: 0
  },
  {
    name: 'stuck_out_tongue_winking_eye',
    emoji: '😜',
    polarity: -1
  },
  {
    name: 'sunglasses',
    emoji: '😎',
    polarity: 1
  },
  {
    name: 'sweat',
    emoji: '😓',
    polarity: -1
  },
  {
    name: 'sweat_smile',
    emoji: '😅',
    polarity: 2
  },
  {
    name: 'thinking',
    emoji: '🤔',
    polarity: -1
  },
  {
    name: 'thumbsdown',
    emoji: '👎',
    polarity: -2
  },
  {
    name: 'thumbsup',
    emoji: '👍',
    polarity: 2
  },
  {
    name: 'tired_face',
    emoji: '😫',
    polarity: -2
  },
  {
    name: 'triumph',
    emoji: '😤',
    polarity: 0
  },
  {
    name: 'two_hearts',
    emoji: '💕',
    polarity: 3
  },
  {
    name: 'unamused',
    emoji: '😒',
    polarity: -2
  },
  {
    name: 'upside_down_face',
    emoji: '🙃',
    polarity: 0
  },
  {
    name: 'v',
    emoji: '✌️',
    polarity: 2
  },
  {
    name: 'weary',
    emoji: '😩',
    polarity: -2
  },
  {
    name: 'wink',
    emoji: '😉',
    polarity: 3
  },
  {
    name: 'worried',
    emoji: '😟',
    polarity: -3
  },
  {
    name: 'yellow_heart',
    emoji: '💛',
    polarity: 3
  },
  {
    name: 'yum',
    emoji: '😋',
    polarity: 3
  },
  {
    name: 'zipper_mouth_face',
    emoji: '🤐',
    polarity: -1
  }
]
